<?php
 	session_start(); 

	if(!isset($_SESSION['tulsilogin']))
	{
		header('Location: index.php');
		return;
	}
	
	





$_SESSION['_token']=bin2hex(openssl_random_pseudo_bytes(16));

	

	

	include("connect.php");
include("mylibrary.php");


	
	$citymid=$_POST['citymid'];
	$cityname=checkvalidstring ($_POST['cityname']);
	
	
	$citycode=checkvalidstring ($_POST['citycode']);
	
	$statemid=$_POST['statemid'];
	
	$tt="";
	/* if(empty($_FILES['attechment']['name']) == false  )
	{
		$attechment = date("YmdHis").$_FILES['attechment']['name'];
		$path = "docs/";
		move_uploaded_file( $_FILES['attechment']['tmp_name'], $path ."/". $attechment );
	
		$tt = ",attechment='$attechment' ";
	} */

	$eve = "select * from res_city_master where citycode='$citycode' and citymid != $citymid";
	$re = mysqli_query($conn, $eve);
	if(mysqli_num_rows($re) > 0)
	{
		$_SESSION['msg1'] = "city code Already Inserted.";
		header('Location: city.php');
	}
	else
	{	

	 $eve1 = "update res_city_master set cityname='$cityname', statemid='$statemid', citycode='$citycode' $tt where citymid='$citymid'";

	

	if ($conn->query($eve1) === TRUE)

	{		

		$_SESSION['msg'] = "city Record Updated succesfully";

		header('Location: city.php');		

	} 

	else 

	{

			

		$_SESSION['msg'] = "Error";

		header('Location: city.php');

	}
	}

?>